Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162044 - CAN-2005-1921 PHP PEAR XML_RPC arbitrary code execution
Summary: CAN-2005-1921 PHP PEAR XML_RPC arbitrary code execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,embargo=yes,source=v...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 13:52 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-564
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 20:03:15 UTC


Attachments (Terms of Use)
Proposed patch for this issue. (deleted)
2005-06-29 13:55 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:564 normal SHIPPED_LIVE Important: php security update 2005-07-07 04:00:00 UTC

Description Josh Bressers 2005-06-29 13:52:53 UTC
A bug has been found in PHP's PEAR XML_RPC server which could allow remote code
execution. This bug allows injection of arbitrary PHP commands into eval()
statements.

Comment 1 Josh Bressers 2005-06-29 13:54:05 UTC
This issue should also affect RHEL3.

Comment 2 Josh Bressers 2005-06-29 13:55:55 UTC
Created attachment 116126 [details]
Proposed patch for this issue.

Comment 3 Josh Bressers 2005-07-01 14:32:49 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2005-07-07 20:03:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-564.html



Note You need to log in before you can comment on or make changes to this bug.